Bug 14813 - gawk wont build -- datadir, libexecdir
gawk wont build -- datadir, libexecdir
Product: Red Hat Raw Hide
Classification: Retired
Component: gawk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Depends On:
  Show dependency treegraph
Reported: 2000-07-28 13:05 EDT by Michael Tokarev
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-28 13:05:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Tokarev 2000-07-28 13:05:41 EDT
Two things. gawk-3.0.5-2

In gawk.spec:
  %configure --libexecdir=%{_libexecdir}/awk --datadir=%{_datadir}/awk
This cause gawk to use /usr/share/awk/awk and /usr/libexec/awk/awk dirs
instead of /usr/{share,libexec}/awk (note double last component).
This is in Makefile.in:
 datadir = @datadir@/awk
 libexecdir = @libexecdir@/awk

Also, in gawk.spec %files:
This should be %{_libexecdir}/awk and %{_datadir}/awk, respectively.

And also one comment.  Many programs (gawk is an example) uses
their own implementation of getopt and regex, and those are in
glibc already.  Should this be considered a (minor) bug?
In gawk, there is "LIBOBJS = getopt.o getopt1.o regex.o" in
Makefile.in.  Maybe this should be "LIBOBJS=@LIBOBJS@" and
a test about regex/getopt in configure? (This is mainly to
gawk maintainers...)
Comment 1 Florian La Roche 2000-08-08 09:44:07 EDT
"configure"-part is fixed.

getopt*.o regex.o: they sometimes are compiled, but do not contain any code, so
there should
be some clever "#ifdef XXX" in the source...

Note You need to log in before you can comment on or make changes to this bug.